import 'package:fis_jsonrpc/rpc.dart';

abstract class IReportTemplateManager {
  ///获取默认模板
  Future<ReportTemplateDTO> getDefaultTemplate();

  ///获取模板列表
  Future<PageResult<ReportTemplateDTO>> getReportTemplatePage({
    int pageIndex = 1,
    int pageSize = 100,
    String? keyword,
  });

  ///获取机构报告模板
  Future<PageResult<ReportTemplateDTO>> getOrgReportTemplatePage({
    int pageIndex = 1,
    int pageSize = 100,
    String? keyword,
  });

  ///获取指定模板
  Future<ReportTemplateDTO> findReportTemplateByCode({String code = ''});
}
